# Docker Pipeline

Proyecto de un simple pipeline que se basa en eventos, para notificar las diferentes acciones que son toamdas, utiliza el engine de Docker para ejecutar los diferentes paso que que se asignan.

Se agrega soporte para agregar volumenes, y variables de ambiente.


```typescript
import {
  DockerPipeline,
  Pipele,
  Steps,
  TypeDockerPipeline,
} from '@coppel/docker-pipeline';
const demo: TypeDockerPipeline = new DockerPipeline();

demo.on('init', (data: any) => {
  console.log(data);
});

demo.on('init_step', (data: Steps) => {
  console.log(data);
});

demo.on('finish_step', (data: Steps) => {
  console.log(data);
});

demo.on('task_status', (data: Steps) => {
  // console.log(data);
});

demo.on('task_message', (data: Steps) => {
  console.log(data);
});

demo.on('finish', () => {
  console.log('Se termino');
});

const pip: Pipele = {
  kind: 'pipeline',
  steps: [
    {
      commands: ['node --version', 'echo test $VAR', 'telnet'],
      Env: ['VAR=ttslkfjsdalkfj'],
      image: 'node:latest',
      name: 'Version',
    },
    {
      commands: ['npm --version', 'touch /app/demo.txt', 'ls /app'],
      image: 'node:latest',
      name: 'NPM',
      volumes: ['otro:/app'],
    },
  ],
  volumes: ['otro', 'mas', 'cosa'],
};

// Ejecutar demo
demo.start(pip);
```

> NOTA: La documentacion aun esta en proceso.