export interface TypeDockerPipeline {
    on(name: string, callback: (data: any) => void): void;
    once(name: string, callback: (data: any) => void): void;
    start(pipeline: Pipele): void;
}
export declare enum TypesKind {
    pipeline = "pipeline"
}
export interface When {
    event: string[];
}
export interface Settings {
    repo: string;
    tags: string[];
}
export interface Steps {
    name: string;
    image: string;
    commands: string[];
    BashDisabled?: boolean;
    Env?: string[];
    Cmd?: string[];
    when?: When;
    settings?: Settings;
    volumes?: string[];
}
export interface Services {
    name: string;
    image: string;
    ports: string[] | number[];
}
export interface Pipele {
    kind?: string;
    steps: Steps[];
    Env?: string[];
    services?: Services;
    volumes?: string[];
}
export interface MessageDockerEvent {
    Type: string;
    Action: string;
    Actor: any;
    scope: string;
    time: number;
    timeNano: number;
    status: string;
    id?: string;
    from?: string;
}
export interface ProtoMessage {
    Id: string;
    Action: string;
    Status: string;
    Actor: any;
}
export interface StepStatus {
    Name: string;
    Status: string;
}
